Package org.apache.batchee.servlet

## Class JBatchController

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.batchee.servlet.JBatchController

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class JBatchController
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FORM_JOB_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JBatchController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBatchController` | `defaultScan​(boolean defaultScan)` |
    `JBatchController` | `executionByPage​(int byPage)` |
    `void` | `init​(javax.servlet.ServletConfig config)` |
    `JBatchController` | `mapping​(String rawMapping)` |
    `JBatchController` | `readOnly​(boolean readOnly)` |
    `protected void` | `service​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORM_JOB_NAME

          public static final String FORM_JOB_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JBatchController

          public JBatchController()

  - ### Method Detail

    - #### mapping

          public JBatchController mapping​(String rawMapping)

    - #### executionByPage

          public JBatchController executionByPage​(int byPage)

    - #### readOnly

          public JBatchController readOnly​(boolean readOnly)

    - #### defaultScan

          public JBatchController defaultScan​(boolean defaultScan)

    - #### init

          public void init​(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### service

          protected void service​(javax.servlet.http.HttpServletRequest req,
                                 javax.servlet.http.HttpServletResponse resp)
                          throws javax.servlet.ServletException,
                                 IOException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`